# vim:fileencoding=utf-8:foldmethod=marker

#: Diffing {{{

syntax_aliases pyj:py pyi:py recipe:py

#: File extension aliases for syntax highlight For example, to syntax
#: highlight file.xyz as file.abc use a setting of xyz:abc

num_context_lines 3

#: The number of lines of context to show around each change.

diff_cmd auto

#: The diff command to use. Must contain the placeholder _CONTEXT_
#: which will be replaced by the number of lines of context. The
#: default is to search the system for either git or diff and use
#: that, if found.

replace_tab_by \x20\x20\x20\x20

#: The string to replace tabs with. Default is to use four spaces.

#: }}}

#: Colors {{{

pygments_style default

#: The pygments color scheme to use for syntax highlighting. See
#: pygments builtin styles <https://pygments.org/styles/> for a list
#: of schemes.

foreground white
background black

#: Basic colors

title_fg white
title_bg black

#: Title colors

margin_bg #394d60
margin_fg #aaaaaa

#: Margin colors

removed_bg           #990012
highlight_removed_bg #63030e
removed_margin_bg    #b30015

#: Removed text backgrounds

added_bg           #00992b
highlight_added_bg #189a39
added_margin_bg    #00a323

#: Added text backgrounds

filler_bg #394d60

#: Filler (empty) line background

margin_filler_bg black

#: Filler (empty) line background in margins, defaults to the filler
#: background

hunk_margin_bg #0059b3
hunk_bg        #004d99

#: Hunk header colors

search_bg #444
search_fg white
select_bg #0351b0
select_fg white

#: Highlighting

#: }}}

#: Keyboard shortcuts {{{

#: Quit

map q   quit
map esc quit

#: Scroll down

map j    scroll_by 1
map down scroll_by 1

#: Scroll up

map k  scroll_by -1
map up scroll_by -1

#: Scroll to top

map home scroll_to start

#: Scroll to bottom

map end scroll_to end

#: Scroll to next page

map page_down scroll_to next-page
map space     scroll_to next-page

#: Scroll to previous page

map page_up scroll_to prev-page

#: Scroll to next change

map n scroll_to next-change

#: Scroll to previous change

map p scroll_to prev-change

#: Show all context

map a change_context all

#: Show default context

map = change_context default

#: Increase context

map + change_context 5

#: Decrease context

map - change_context -5

#: Search forward

map / start_search regex forward

#: Search backward

map ? start_search regex backward

#: Scroll to next search match

map . scroll_to next-match
map > scroll_to next-match

#: Scroll to previous search match

map , scroll_to prev-match
map < scroll_to prev-match

#: Search forward (no regex)

map f start_search substring forward

#: Search backward (no regex)

map b start_search substring backward

#: }}}

